Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Server
Name | ### available()
Examples |
    // Example by Tom Igoe

    import processing.net.*;

    int port = 10002;
    Server myServer;

    void setup()
    {
      size(400, 400);
      background(0);
      myServer = new Server(this, port);
    }

    void draw()
    {
      // Get the next available client
      Client thisClient = myServer.available();
      // If the client is not null, and says something, display what it said
      if (thisClient !=null) {
        String whatClientSaid = thisClient.readString();
        if (whatClientSaid != null) {
          println(thisClient.ip() + "t" + whatClientSaid);
        }
      }
    }
Description | Returns the next client in line with a new message.
Syntax |
    server.available()
Parameters |
server | any variable of type Server
Returns | Client
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT